document.addEventListener('DOMContentLoaded', () => {
    // Simulate loading live scores
    const loadLiveScores = () => {
        const matchContent = document.querySelector('.match-content');
        const scores = [
            { home: 'Liverpool', away: 'Chelsea', score: '2-1' },
            { home: 'Barcelona', away: 'Real Madrid', score: '0-0' },
            { home: 'Bayern', away: 'Dortmund', score: '3-2' }
        ];
        
        let html = '';
        scores.forEach(match => {
            html += `
                <div class="match">
                    <span>${match.home}</span>
                    <strong>${match.score}</strong>
                    <span>${match.away}</span>
                </div>
            `;
        });
        
        matchContent.innerHTML = html;
    };

    // Simulate loading statistics
    const loadStats = () => {
        const topScorers = document.getElementById('topScorers');
        const topAssists = document.getElementById('topAssists');
        
        const scorers = [
            'M. Salah - 22 goals',
            'E. Haaland - 21 goals',
            'K. Mbappé - 20 goals'
        ];
        
        const assists = [
            'K. De Bruyne - 15 assists',
            'L. Messi - 14 assists',
            'T. Müller - 13 assists'
        ];
        
        topScorers.innerHTML = scorers.map(scorer => `<div class="stat-item">${scorer}</div>`).join('');
        topAssists.innerHTML = assists.map(assist => `<div class="stat-item">${assist}</div>`).join('');
    };

    // Initialize data
    loadLiveScores();
    loadStats();
    
    // Refresh live scores every 60 seconds
    setInterval(loadLiveScores, 60000);
});